﻿namespace OldBvets
{
    namespace TrainDat
    {
        public struct Acceleration
        {
            private double constAccelerationStart;
            private double constAccelerationEnd;
            private double constPowerStart;
            private double constPowerEnd;
            private double characteristicCurveDegree;

            public Acceleration(double cas, double cae, double cps, double cpe, double ccd)
            {
                constAccelerationStart = cas;
                constAccelerationEnd = cae;
                constPowerStart = cps;
                constPowerEnd = cpe;
                characteristicCurveDegree = ccd;
            }

            public double ConstAccelerationStart
            {
                get { return constAccelerationStart; }
                set { constAccelerationStart = value; }
            }
            public double ConstAccelerationEnd
            {
                get { return constAccelerationEnd; }
                set { constAccelerationEnd = value; }
            }
            public double ConstPowerStart
            {
                get { return constPowerStart; }
                set
                {
                    if (constPowerStart < 0)
                    {
                        constPowerStart = 0;
                    }
                    else
                    {
                        constPowerStart = value;
                    }
                }
            }
            public double ConstPowerEnd
            {
                get { return constPowerEnd; }
                set
                {
                    if (constPowerEnd < 0)
                    {
                        constPowerEnd = 0;
                    }
                    else
                    {
                        constPowerEnd = value;
                    }
                }
            }
            public double CharacteristicCurveDegree
            {
                get { return characteristicCurveDegree; }
                set { characteristicCurveDegree = value; }
            }
            public double MaxAcceleration
            {
                get
                {
                    if (constAccelerationStart > constAccelerationEnd)
                    {
                        return constAccelerationStart;
                    }
                    else
                    {
                        return constAccelerationEnd;
                    }
                }
            }
        }

        public struct MotorNoise
        {
            private int volume;
            private int frequency;
        }
    }
}